Index: /LMDZ6/branches/cirrus/DefLists/README
===================================================================
--- /LMDZ6/branches/cirrus/DefLists/README	(revision 5201)
+++ /LMDZ6/branches/cirrus/DefLists/README	(revision 5202)
@@ -16,2 +16,4 @@
 physiq.def_NPv6.4          NPv6.3 without 2 CM6A bugs
 physiq.def_LUDOBest2       Ludovic' physic tuned by Frederic 
+physiq.def_NPv7.0.1b       Physique Ludovic debuguee + condensation grande echelle epuree E.Vignon
+physiq.def_NPv7.0.1c       physiq.def_NPv7.0.1b + ok_bug_ajs_cv=n
Index: /LMDZ6/branches/cirrus/DefLists/gcm.def
===================================================================
--- /LMDZ6/branches/cirrus/DefLists/gcm.def	(revision 5201)
+++ /LMDZ6/branches/cirrus/DefLists/gcm.def	(revision 5202)
@@ -33,12 +33,8 @@
 ##  dans la dynamique)
 read_start=y
+## choix du qsat pour le test sur l humidite pour l advection de q: q advecte< qsat aval
+adv_qsat_liq=n
 ## periode de la physique (en pas dynamiques, n'a de sens que si iflag_phys=1)                                       
 iphysiq=10
-##  Avec ou sans strato
-ok_strato=y 
-#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
-iflag_top_bound=2
-#  Coefficient pour la couche eponge (valeur derniere couche)
-tau_top_bound=5.e-5
 ## longitude en degres du centre du zoom                                 
 clon=0.
Index: /LMDZ6/branches/cirrus/DefLists/gcm.def_144x142
===================================================================
--- /LMDZ6/branches/cirrus/DefLists/gcm.def_144x142	(revision 5201)
+++ /LMDZ6/branches/cirrus/DefLists/gcm.def_144x142	(revision 5202)
@@ -23,4 +23,6 @@
 ## choix du shema d'integration temporelle (Matsuno:y ou Matsuno-leapfrog:n) 
 purmats=n
+## choix du qsat pour le test sur l humidite pour l advection de q: q advecte< qsat aval
+adv_qsat_liq=n
 ## avec ou sans physique
 ## 0: pas de physique (e.g. en mode Shallow Water)
Index: /LMDZ6/branches/cirrus/DefLists/physiq.def_NPv7.0.1c
===================================================================
--- /LMDZ6/branches/cirrus/DefLists/physiq.def_NPv7.0.1c	(revision 5202)
+++ /LMDZ6/branches/cirrus/DefLists/physiq.def_NPv7.0.1c	(revision 5202)
@@ -0,0 +1,632 @@
+#
+# $Id: physiq.def_NPv6.2_MR1 3867 2021-03-23 16:49:48Z fairhead $
+#
+
+##############################################################
+# PARAMETRES ET CLES DE LA PHYSIQUE LMDZ
+##############################################################
+# D: Valeur par default
+#
+
+###########################################################
+# divers. Devrait aller dans config.def ?
+###########################################################
+##   Si=.T. ,  lecture du fichier limit avec la bonne annee 
+ok_limitvrai=n
+
+###########################################################
+# Parametres couche limite de surface
+###########################################################
+
+          #  ...
+f_cdrag_stable=1
+
+          # Facteur sur les coefficients de trainee terrestres
+f_cdrag_ter=1
+
+          # Vitesse minimum dans les calculs de trainee Cd ( || V || + Vmin )
+min_wind_speed=0.1
+
+          #  Modelisation des bosquets
+ifl_pbltree=1
+Cd_frein=0.016
+
+###########################################################
+# parameter des flux air-mer
+###########################################################
+
+          # Facteur sur les flux sensibles et latent
+          # Introduit pour reduire l evaporation quand on avait z0h=z0m
+          # CONSEILLE : 1
+f_cdrag_oce=1
+
+          # Flag controlant le calcul des z0
+iflag_z0_oce=1
+
+          # Rapport entre les Z0 latent et sensible
+f_z0qh_oce=1.55
+
+          # Activation des rafales : Oui 1 ou non 0
+iflag_gusts=2
+
+          # facteur pour les rafales des thermiques (bounary layer)
+f_gust_bl=0.845
+
+          # facteur pour les poches (wake)
+f_gust_wk=0.2
+
+          # facteur sur qsat pour tenir compte de la salinite
+f_qsat_oce=0.98
+
+          #cdmmax : valeur max de Cd moment. Sur ocean seulement
+cdmmax=0.2
+
+          #cdhmax : valeur max de Cd evap/sensible. Sur ocean seulement
+cdhmax=0.2
+
+####################################################################
+# Couche limite turbulente
+####################################################################
+
+          # Nouvelle version de Mellor et Yamada
+new_yamada4=y
+
+          # Choix du schema numerique pour new_yamada4=y
+          #  1 schema de MAR. Bien pour CL stables mais detruit les stratocu
+          #  5 schema de MAR modifie. Precaunise.
+yamada4_num=5
+
+          # Flag de controle de la couche limite stable
+iflag_corr_sta=4
+
+          # min sur les fonction de stabilite a la surface
+f_ri_cd_min=0.01
+
+          # max du Ric pour Kz. Decouplage plus grand pour Ric plus grand.
+yamada4_ric=0.18
+
+          # Longueur de melange minimum pour Kz
+lmixmin=0
+
+          #shema de la couche de surface (D:1, 1:LMD, 8:Mellor-Yamada) 
+iflag_pbl=12
+
+          # Seuils pour la diffusion turbulente
+ksta_ter=1e-07
+ksta=1e-10
+
+          #ok_kzmin : calcul Kzmin dans la CL de surface (D: y)
+ok_kzmin=n
+
+          # Creation de TKE par orographie sous-maille
+addtkeoro=2
+alphatkeoro=1
+smallscales_tkeoro=y
+
+
+####################################################################
+# Ondes de gravite / Orographie sous maille
+####################################################################
+
+          #  Orodr  ou  non   pour l orographie
+ok_orodr=y
+
+          #  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+
+          #Rugoro : inclusion de l orographie sous maille dans le Cd de surface
+          # Obsolete avec l activation des ondes de gravite
+f_rugoro=0
+
+          # Parametres controlant l effet de l orographie sous maille
+sso_gfrcri=0.7
+sso_gkdrag=0.6
+sso_gkwake=0.4
+sso_gklift=0.1
+
+          # Random gravity waves
+          #Activitate the stochastic parameterization of convective GWs
+          # (should be equal to ok_strato)
+ok_gwd_rando=y
+
+          # Scale the momentum fluxes due to convective GWs
+gwd_rando_ruwmax=0.5
+
+          #Scale the saturated momentum flux of  convective GWs 
+gwd_rando_sat=0.6
+
+          # Important pour controler la periode de la QBO
+gwd_front_ruwmax=3
+
+          # zstd_orodr_t : minimum subgrid orography standard deviation for activation of drag parameterisation (D:10, 0.:CMIP7)
+zstd_orodr_t = 0.
+
+          # zpmm_orodr_t : minimum zpic-zval value for activation of drag parameterisation (D:100., 0.:CMIP7)
+zpmm_orodr_t = 0.
+
+          # zpmm_orolf_t : minimum zpic-zval value for activation of lift parameterisation (D:100., 0.:CMIP7)
+zpmm_orolf_t =0.
+
+###############################################################
+# Rayonnement
+###############################################################
+          # activation du nouveau code de rayonnement RRTM
+          # 0 : Ancien code, 1 : RRTM et 2 : ECRAD (D=0)
+iflag_rrtm=1
+
+          # Nombre de bandes pour le SW. Mettre 2 si iflag_rrtm=0
+NSW=6
+
+    # Albedo et inertie des calottes
+alb_vis_sno_lic=0.96
+alb_nir_sno_lic=0.68
+    # Controle de l'inertie des glaciers et banquises
+    # inertie_sno : pour la neige (y compris sur les points "ter"
+    #      quand orchidee n'est pas actif)
+    # inertie_lic/sic : pour les "land ice" et "sea ice"
+inertie_sno=350
+    # iflag_sic=1 pour forcer a garder l'inertie des "sea ice"
+    # a inertie_sic meme si la surface est couverte de neige
+iflag_sic=1
+inertie_lic=2000
+inertie_sic=2000
+    # tau_gl = constante de rappel de la temperature a la surface de la glace (en nombre de jours)
+    # Utilise selon le forcage : tau_gl=5 pour Clim, tau_gl=2 pour Amip et tau_gl=1 pour Hadisst2
+tau_gl=2
+
+          # ???
+iflag_albedo=1
+
+          # Frequence appel convection. Nombre appels par jour
+          # (nbapp_cv=0 ==> appel tous les pas de temps)
+nbapp_cv=48
+
+          # Pour pouvoir revenir a un bug purement informatique de duplication
+          # des constantes thermodynamiques entre LMDZ et RRTM
+          # n : FORTEMENT CONSEILLE
+ok_bad_ecmwf_thermo=n
+
+###############################################################
+# Parametres nuages
+###############################################################
+
+          # Activation condensation de grande echelle epuree par E.Vignon : ok_new_lscp=y + ok_icefra_lscp=y
+ok_new_lscp=y
+ok_icefra_lscp=y
+
+
+          #seuils de la precipitation des nuages stratiformes (D: 2.6e-4 2.6e-4)
+cld_lc_lsc=0.00096841923606032
+cld_lc_con=0.00096841923606032
+
+          #constante de temps pour eliminer eau lsc et convective
+          # (D: 3600. 3600.)
+cld_tau_lsc=8151.30533480977
+cld_tau_con=8151.30533480977
+
+          #facteurs correctifs sur la vitesse de chute des cristaux de glace (D: 1 1)
+ffallv_lsc=0.451743342889991
+ffallv_con=0.451743342889991
+
+          # coefficient sur la reevaporation de la pluie (D: 2.e-5 n)
+          # regle a 3.e-5 sur des cas de cumulus en 1D
+coef_eva=0.00490135133370158
+          # coefficient sur la sublimation de la glace (D: 2.e-5 n)
+coef_eva_i=0.00490135133370158
+
+### iflag_autoconversion= 0 avec reste de bogue sur l autoconversion (default)
+### iflag_autoconversion= 1, sans bogue sur l autoconversion 
+### iflag_autoconversion= 2 : 1 + new numerical integration of autoconversion
+###                         : have to add niter_lscp=1
+iflag_autoconversion=1
+
+          # flag pour la reevaporation de la pluie
+          # 0: rien
+          # 1: a l ancienne
+          # 2: prend en compte la surface nuageuse max au dessus pour calculer
+          #    le max de reevaporation, comme ecart a la saturation. CONSEILLE
+          # 4: Ludo original
+          # 5: Ludo + correction Etienne
+iflag_evap_prec=5
+
+          # min local intensity for rainfall before decrease of the associated precipitation fraction (mm/s)
+          # rain_int_min is used if iflag_evap_prec>=4
+rain_int_min=1.44716149682657e-5
+
+          # Modification de la plage de temperature pour la phase mixte
+          # liquide/glace des nuages
+          # Controle par les t_glace_min/max, exposant_glace,
+          # iflag_t_glace (D=0)
+t_glace_min=243.15
+t_glace_max=273.15
+exposant_glace=0.5
+iflag_t_glace=3
+
+          # Activation de la thermodynamique de la glace
+iflag_ice_thermo=1
+
+          # normalement elle ne sert plus a rien dans fisrtilp
+          # sinon elle est un peu toxique:
+          # IF (zt(i) .LT. t_coup.and.reevap_ice) zrfln(i)=0. (Jean-Baptiste)
+reevap_ice=n
+
+          #Bergeron
+iflag_bergeron=2
+
+          # temperature dependency of qsat for iterative procedure
+          # temporary flag to switch between the old (CMIP5, D=0)
+          # and new versions (=1) versions 
+iflag_fisrtilp_qsat=4
+
+
+          #calcul des proprietes des nuages convectifs (D:1 0.375 1.e-4) 
+iflag_cld_th=6
+fact_cldcon=1
+
+          # ?????
+facttemps=0
+
+          #calcul eau condensee et fraction nuageuse a partir des PDF
+          # (D:0, 0:version avec ratqs sinon nouvelles PDFs)  
+iflag_pdf=1
+
+          #calcul epaisseur optique et emmissivite des nuages (D: y 1 0.01 0.3)
+ok_newmicro=y
+
+          # Controle des ratqs grande echelle
+iflag_ratqs=4
+ratqsp0=48254.6771101272
+ratqsdp=16383.2736877474
+ratqsbas=0.002
+ratqshaut=0.342148444633161
+
+          #rayon effectif pour les nuages de glace (D:35)
+rad_froid=35
+
+          # Rayons effectif des gouttes nuageuses
+          # ACTIF SI ok_cdnc=0 dans config.def. (D~9 a 12 microns)
+rad_chau1=12
+rad_chau2=11
+
+	  # Rayon effectif des gouttes si ok_cdnc=0
+          # Parameters in CDNC-maer link (Boucher&Lohmann 1995)
+bl95_b0=1.3
+bl95_b1=0.2
+
+          #  Choix ou non  de  New oliq               
+new_oliq=y
+
+          # Seuils oliqmax, oicemax (en g/kg).
+          # Au dela on precipite directement au sol
+oliqmax=0.0015
+oicemax=0.0015
+
+          #Rayons min et max effectifs des particules des nuages
+rei_min=18.1205
+rei_max=69.4129
+
+          # Distribution vetricale sous maille pour le schema de de nuages.
+          # 0: rien
+          # 1: Premiere version A. Jam,
+          # 2 : J. Jouhaud, parametre cloudth_vert_alpha D=0.5
+          # 3 : J. Jouhaud, parametre cloudth_vert_alpha D=0.5/C= 1.32
+          #                           cloudth_vert_alpha_th C=2:91
+iflag_cloudth_vert=3
+cloudth_vert_alpha=0.5
+cloudth_vert_alpha_th=0.5
+
+
+######################################################################
+# Convection 
+######################################################################
+
+          #Convection scheme switch
+          # (D:2, 1:LMD, 2:Tiedtke, 3:KE New Physics, 30:KE AR4)
+iflag_con=3
+
+          # correct convection bug
+          #(default = y)
+keepbug_ice_frac=n
+
+          #output level of energy conservation diagnostics
+if_ebil=0
+
+          #maximum efficiency of cld water->precipitation conversion (D: 0.993)
+epmax=0.999071
+
+          #dry convective adjustment at beginning of Emanuel convective scheme (D: n 0)
+ok_adj_ema=n
+iflag_clw=0
+
+          # To get back to the bug where tendencies of the dry adjustment
+          # (applied to (w) before calling convection) where added directly
+          # to wake_deltat and wake_deltaq :
+          # ok_bug_ajs_cv=y
+ok_bug_ajs_cv=n
+
+          #Convective closure (D:1, 0:AR4, 2:ALE and ALP)
+iflag_clos=2
+
+          #Convective entrainment mixing law (D:1, 0:AR4=flat PDF, 1=PDF)
+iflag_mix=1
+
+          #weights of the bell shaped and flat PDF (used only if iflag_mix=1) (D: 1 0)
+qqa1=1
+qqa2=0
+
+          #Parameters of the bell shaped PDF; Fmax=center (D= 0.65), Gammas=width (D=0.05)
+cvl_corr=1
+
+          #Multiplicative factor of Emanuel convective scheme precipitation (D: 1.)
+Fmax=0.65
+
+          #altitude, in hPa, above LCL at which buoybase is computed,
+          # def = original: -40
+dpbase=-40
+
+          #reference fractional area of precipitating downdraughts,
+          # def = original: 0.01
+sigdz=0.003
+
+          #unsaturated fraction of precipitating downdraughts, def = original: 0.15
+spfac=0.15
+
+          #relaxation time of cloud base mass flux, def = original: 8000
+tau=8000
+
+          #flag for wb (= vert velocity at LFC);
+          # 0->wb=wbmax, 1->wb=f(plfc) bounded, 2->wb=f(plfc) linear, D=1
+          # Si iflag_wb>=10 : wbeff_min=iflag_wb*0.1
+          # wbmax : assymptotic value 
+flag_wb=50
+wbmax=2.8
+
+          # Divers tests
+ok_convstop=n
+tau_stop=15000
+ok_intermittent=n
+
+          # nouvel epluchage de C.Rio
+          #shedding coefficient (used when iflag_mix_adiab=1)
+iflag_mix_adiab=0
+coef_peel=0.25
+
+          #Conversion cld water->precip: Ep=f(pressure) if 0; Ep=f(temperature)
+          #if 1, def=1
+flag_epKEorig=1
+
+          # Case : flag_epKEorig=1
+          # elcrit : max condensed water concentration in kg/kg, D=0.0003,
+          # tlcrit : temperature in degre Celsius, at which Ep=Epmax, D=-55. (original)
+          # original: 0.0011, used only if flag_epKEorig=1
+elcrit=0.0003
+tlcrit=-55
+
+          # Case : flag_epKEorig=0
+          # pbcrit : pressure (hPa), above LCL below which Ep=0, D=150 (original)
+          # ptcrit : pressure (hPa), above LCL above which Ep=Epmax, D=500 (original)
+pbcrit=150
+ptcrit=500
+
+          # Precipitation ejection from adiabatic ascents
+          # cvflag_prec_eject: when TRUE ejection is activated. Default: False
+          # WARNING ! : cvflag_prec_eject=y is effective only if icvflag_Tpa=1
+          # ejectliq : 0. =>liquid precipitation is carried up in the adiab updraughts
+          #            1. =>liquid precipitation is ejected from adiab updraughts
+          # ejectice   0. =>solid precipitation is carried up in the adiab updraughts
+          #            1. =>solid precipitation is ejected from adiab updraughts
+          # ejectliq may take only 0. and 1. values
+          # ejectice may take any value between 0. and 1.
+          #   Default : cvflag_prec_eject=n, ejectliq=0., ejectice=0.
+cvflag_prec_eject=n
+ejectliq=0.
+ejectice=0.
+
+          # Check whether parcel level temperature and specific humidity
+          # are reasonable and demand that LCL be high enough
+cv_flag_feed=2
+
+          # save 20% CPU 
+ok_optim_yield=y
+
+          # Convective clouds
+iflag_cld_cv=0
+
+          # To get back to bug where convective output variables
+          # were set to 0 at the start of the physics
+ok_bug_cv_trac=n
+
+           # solving of the temperature equation for the adiabatic ascent
+           # 0 -> AJ scheme in two loops ; ice fraction given by envt. temp.
+           # 1 -> JYG scheme in one loop ; ice fraction given by envt. temp.
+           # 2 -> JYG scheme in one loop ; ice fraction given by adiab. asc. temp.
+           # Default: 0
+           # 2 is costly and ill tested; experts only.
+icvflag_Tpa=0
+
+           # taking into account the dependence of qv on qt at saturation
+           # Default: n
+qsat_depends_on_qt=n
+
+##########################################################
+# Fermeture convective et couplages
+##########################################################
+
+          # Decimal code:  + first digit drives the splitting of thermals: 
+          #                                0 = thermals see the average profiles of T and q
+          #                                1 = thermals are only outside wakes
+          #                + second digit drives the splitting of diffuse PBL:
+          #                                0 = The diffuse PBL sees the average profiles of T and q
+          #                                1 = Two BLs, one in (w) and one in (x), with the same
+          #                                    surface temperature and humidity.
+          #                                2 = Two BLs, one in (w) and one in (x), with separate
+          #                                    surface temperature and humidity.
+          #                                3 = same as 1 over ocean; same as 0 everywhere else.
+          # Example: iflag_pbl_split=12 => thermals outside wakes, split BL with Tsurf and qsurf difference
+          # iflag_pbl_split=10 => thermals outside wakes
+iflag_pbl_split=10
+
+          #rendement sur la puissance fournie par les thermiques a la convection
+alp_bl_k=0.5
+
+          #Constant value to be added to Alp (D: 0.)
+alp_offset=0
+
+          #Convection must reach a level at which T<t_top_max to be active
+t_top_max=1000
+
+          ### nrlmd le 10/04/2012: Declenchement ###
+          #Declenchement par couche-limite (0: deterministe, 1: stochastique)
+iflag_trig_bl=1
+
+          #Surface critique au LCL
+s_trig=12000000
+
+          #Temps de decorrelation entre scenes de cumulus
+tau_trig_shallow=1200
+
+          #Temps de decorrelation entre scenes de cumulonimbus
+tau_trig_deep=1200
+
+          # Pour la stabilisation
+random_notrig_max=0.99
+
+          # Temperature a la quelle on fond les descentes glacees
+tmax_fonte_cv=278.15
+
+          #Fermeture par couche-limite (Nicolas Rochetin)
+          #(0: deterministe, 1: statistique, 2: statistique+convergence
+          # grande echelle)
+iflag_clos_bl=1
+
+          #coefficient in Wape->C_star formula: C_star=stark*sqrt(2*Wape),
+          # def: 0.33
+stark=0.33
+
+          #lifting efficiency of wakes; Alp=Alpk*Fip, Fip=power provided
+          # by wakes, def: 0.25
+alpk=0.25
+
+#
+##########################################################
+# Couche limite convective / modele du thermique
+##########################################################
+
+          # Convection seche (D:0, 0:ajustement sec,=>1:modele du thermique) 
+iflag_thermals=18
+
+          # pas de temps du spliting pour les thermiques
+          # TOURNE MAIS POSE PLUS DE PROBLEME QU ELLE N EN RESOUD
+nsplit_thermals=1
+
+          # tau_thermals pour avoir une constante de temps sur les thermiques.
+          # Non valide
+tau_thermals=0
+
+          # Flag controlant le detrainement et l entrainement
+iflag_thermals_ed=8
+
+          # On va chercher l air a z * ( 1+fact_thermals_ed_dz) pour calculer
+          # le detrainement (A. Jam)
+fact_thermals_ed_dz=0.103105610491144
+
+          # Une option de plus sur les thermiques.
+iflag_thermals_optflux=0
+
+          #couplage ou non avec la convection
+iflag_coupl=5
+
+          # Seuil pour desactiver les thermiques en cas de forte inversion
+          # en sommet de couche limite. Actif si iflag_thermals impair.
+seuil_inversion=-0.08
+
+          # Reactivation du calcul d un zmax continu pour les thermiques
+          # reactivation d une fermeture humide des thermiques
+          # iflag_thermals_closure=2 (D=1)
+iflag_thermals_closure=2
+
+          # Flag permettant de garder le bug induisant des wake_deltaT non nuls
+          # a partir des tendances des thermiques, meme en l'absence de poches.
+          # Default : ok_bug_split_th=y ==> le bug est maintenu
+ok_bug_split_th=n
+
+          # contribution of buoyancy to the plume acceleration
+thermals_afact=1.05641487083682
+
+          # drag term in the plume acceleration
+thermals_fact_epsilon=0.00205282352527457
+
+          # scaling factor for entrainment and detrainment
+thermals_betalpha=0.411960019760327
+
+          # width of the environment subgrid scale water distribution
+cloudth_sigma1s_factor=0.673674753185742
+
+##########################################################
+# Flags wakes
+##########################################################
+
+          #Wake scheme switch (D:0, 0:AR4, 1:New Physics)
+iflag_wake=1
+
+          #multiplicative factor of the damping by gravity waves, def: 4.
+coefgw=4
+
+          #wake density = number of wake centers per m2, def: 8.E-12
+          #wdens_ref=8.E-12
+wdens_ref_o=1e-09
+wdens_ref_l=8e-12
+
+          # Ajustement convectif prealable au calcul des poches
+ok_adjwk=y
+
+          # Prevent some crashes
+          # Filter out bad wakes
+flag_wk_check_trgl=n
+iflag_wk_check_trgl=2
+iflag_alp_wk_cond=1
+
+          #Wake population dynamic switch (D:0):
+          # iflag_wk_pop_dyn=0 ==> wake_dens is set to wdens_ref
+          # iflag_wk_pop_dyn=1 ==> wake_dens is a prognostic variable
+iflag_wk_pop_dyn=0
+
+iflag_wk_profile=1
+wk_pupper=0.6
+          #Bug geopotentiel moyen dans pbl_surface (D:y) 
+ok_bug_zg_wk_pbl=n
+####################################################################
+#  Conservation 
+####################################################################
+          # The source terms of the TKE prognostic equation are diagnosed
+          # from tendencies (du, dv, dT) 
+          # associated with subrgrid scaleamotions and treated as an 
+          # additional heat source.
+          # Controled by a key, iflag_ener_conserv (D=-1):
+          # 0 : no conservation, -1 : old adhoc correction for kinetic E only
+          # (used for CMIP5) 
+          # 1 : conservation, 101 : conversion from kinetic to heat only,
+          # 110 conversion from potential to heat only
+iflag_ener_conserv=10
+
+          #Activation of corrections for water conservation (D: n). 
+          ##The default is n for compatibility with earlier versions.
+          ##generally it should be y.
+ok_conserv_q=y
+
+fl_cor_ebil=1
+
+####################################################################
+# Ozone
+####################################################################
+          # new treatment for ozone into the tropopause
+adjust_tropopause=y
+
+####################################################################
+#  Conservation de l'eau
+#####################################################################
+          # conservation de l eau sur les calottes
+ok_lic_cond=y
+####################################################################
+          #min cloud droplet number concentration
+cdnc_min=10.
Index: /LMDZ6/branches/cirrus/DefLists/vert_L39.def
===================================================================
--- /LMDZ6/branches/cirrus/DefLists/vert_L39.def	(revision 5202)
+++ /LMDZ6/branches/cirrus/DefLists/vert_L39.def	(revision 5202)
@@ -0,0 +1,6 @@
+##  Avec ou sans strato
+ok_strato=y 
+#  Couche eponge dans les couches de pression plus faible que 100 fois la pression de la derniere couche
+iflag_top_bound=2
+#  Coefficient pour la couche eponge (valeur derniere couche)
+tau_top_bound=5.e-5
Index: /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.env
===================================================================
--- /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.env	(revision 5201)
+++ /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.env	(revision 5202)
@@ -1,14 +1,19 @@
-# Compile and running environnement at Adastra
-set +e 
+#!/bin/bash
 module purge
-module load craype-x86-genoa
-module load craype-network-ofi
-module load libfabric/1.15.2.0
-module load PrgEnv-gnu/8.3.3
-module load cray-dsmml/0.2.2
-module load cray-libsci/23.02.1.1
-module load cray-mpich/8.1.21
-module load craype/2.7.19
-module load cray-hdf5-parallel/1.12.2.1
-module load cray-netcdf-hdf5parallel/4.9.0.1
-module load cray-fftw/3.3.10.3
+module load PrgEnv-gnu
+module load gcc/13.2.0  # required, see https://dci.dci-gitlab.cines.fr/webextranet/user_support/index.html#prgenv-and-compilers
+module load cray-hdf5-parallel
+module load netcdf-hdf5parallel/gnu/10.3
+
+# netcdf-hdf5parallel has weird naming conventions => hotfix...
+# Used in netcdf95 cmake compilation
+rm -rf netcdf-hdfparallel-hotfix
+mkdir -p netcdf-hdfparallel-hotfix
+cp -r /opt/cray/pe/netcdf-hdf5parallel/4.9.0.5/gnu/10.3/lib/pkgconfig/netcdf*_parallel.pc netcdf-hdfparallel-hotfix
+cd netcdf-hdfparallel-hotfix || exit 1
+mv netcdf-fortran_parallel.pc netcdf-fortran.pc
+PKG_CONFIG_PATH="$(readlink -f .):$PKG_CONFIG_PATH"
+# Another similar hotfix to find mpich.pc
+PKG_CONFIG_PATH="/opt/cray/pe/mpich/8.1.28/ofi/crayclang/16.0/lib/pkgconfig/:$PKG_CONFIG_PATH"
+export PKG_CONFIG_PATH
+cd - || exit 1
Index: /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.fcm
===================================================================
--- /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.fcm	(revision 5201)
+++ /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.fcm	(revision 5202)
@@ -1,17 +1,31 @@
 %COMPILER            mpif90
+%CCOMPILER           mpicc  # xios
 %LINK                mpif90
+%FPP                 cpp
 %AR                  ar
-%ARFLAGS             rs
-%MAKE                gmake
-%FPP                 mpif90 -E
-%FPP_FLAGS           -P -traditional -I${FFTW_INC}
-%FPP_DEF             NC_DOUBLE FFT_FFTW
-%BASE_FFLAGS         -I${FFTW_INC} -march=znver1 -fcray-pointer -c -fdefault-real-8 -fdefault-double-8 -ffree-line-length-none -fallow-argument-mismatch -fno-align-commons 
+%ARFLAGS             rU
+%MAKE                make
+%FPP_FLAGS           -P -traditional
+%FPP_DEF             NC_DOUBLE
+
+%BASE_FFLAGS         -cpp -ffree-line-length-0 -fdefault-real-8 -DNC_DOUBLE -fallow-argument-mismatch -fimplicit-none -march=native -fPIC
+%BASE_CFLAGS         -w -std=c++11 -D__XIOS_EXCEPTION  # xios
+# /!\ LD must be written in Makefile syntax
+%BASE_LD             -Wl,-rpath=$(shell nf-config --prefix)/lib -lstdc++
+%BASE_INC            -D__NONE__  # xios
+
 %PROD_FFLAGS         -O3
-%DEV_FFLAGS          -g -O2
-%DEBUG_FFLAGS        
-%MPI_FFLAGS
-%OMP_FFLAGS          -fopenmp
-%BASE_LD             -L${FFTW_DIR} -lfftw3
-%MPI_LD
+%PROD_CFLAGS         -O3 -DBOOST_DISABLE_ASSERTS  # xios
+
+%DEV_FFLAGS          -Wall -fbounds-check -fallow-argument-mismatch
+%DEV_CFLAGS          -g -O2  # xios
+
+%DEBUG_FFLAGS        -g3 -Wall -fbounds-check -ffpe-trap=invalid,zero,overflow -O0 -fstack-protector-all -fbacktrace -finit-real=snan -fallow-argument-mismatch
+%DEBUG_CFLAGS        -g -DBZ_DEBUG # xios
+
+%MPI_FFLAGS          -fcray-pointer
+%MPI_LD              -L$(shell dirname $(shell readlink -f "$(shell which mpif90)"))/../lib -lmpi
 %OMP_LD              -fopenmp
+%OMP_FFLAGS          -fopenmp -fcray-pointer
+
+%CPP                 cpp  # xios
Index: /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.path
===================================================================
--- /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.path	(revision 5201)
+++ /LMDZ6/branches/cirrus/arch/arch-X64_ADASTRA-GNU.path	(revision 5202)
@@ -1,22 +1,21 @@
-NETCDF_INCDIR="-I ${NETCDF_DIR}/include"
-NETCDF_LIBDIR="-L ${NETCDF_DIR}/lib"
-NETCDF_LIB="-lnetcdf -lnetcdff"
+NETCDF_INCDIR="-I$(nf-config --includedir) -I$(nc-config --includedir)"
+# Ugly hack for orchidee <=2.0
+NETCDF_LIBDIR="-L${NETCDF_DIR}/lib" # for some reason on adastra `nf-config --flibs` is empty
+NETCDF_LIB="-lnetcdf -lnetcdff"  # same as above
+NETCDF95_INCDIR="-I$(pwd)/../../include"
+NETCDF95_LIBDIR="-L$(pwd)/../../lib"
+NETCDF95_LIB="-lnetcdf95"
 
-IOIPSL_INCDIR="-I$LMDGCM/../../lib -I$LMDGCM/../IOIPSL/inc"
-IOIPSL_LIBDIR="-L$LMDGCM/../../lib -L$LMDGCM/../IOIPSL/lib"
+# Exported
+IOIPSL_INCDIR="-I$(pwd)/../IOIPSL/inc -I$(pwd)/../IOIPSL/lib"
+IOIPSL_LIBDIR="-L$(pwd)/../IOIPSL/inc -L$(pwd)/../IOIPSL/lib"
 IOIPSL_LIB="-lioipsl"
 
-XIOS_INCDIR="-I$LMDGCM/../XIOS/inc"
-XIOS_LIBDIR="-L$LMDGCM/../XIOS/lib"
+# Exported
+XIOS_INCDIR="-I$(pwd)/../XIOS/inc"
+XIOS_LIBDIR="-L$(pwd)/../XIOS/lib"
 XIOS_LIB="-lxios -lstdc++"
 
-ORCH_INCDIR="-I$LMDGCM/../../lib"
-ORCH_LIBDIR="-L$LMDGCM/../../lib"
-
-OASIS_INCDIR="-I$LMDGCM/../../oasis3-mct/BLD/build/lib/psmile.MPI1"
-OASIS_LIBDIR="-L$LMDGCM/../../oasis3-mct/BLD/lib"
-OASIS_LIB="-lpsmile.MPI1 -lscrip -lmct -lmpeu"
-
-INCA_INCDIR="-I$LMDGCM/../INCA/build/inc"
-INCA_LIBDIR="-L$LMDGCM/../INCA/build/lib"
-INCA_LIB="-lchimie"
+# Exported
+ORCH_INCDIR="-I$(pwd)/../ORCHIDEE/inc -I$(pwd)/../ORCHIDEE/lib"
+ORCH_LIBDIR="-L$(pwd)/../ORCHIDEE/inc -L$(pwd)/../ORCHIDEE/lib"
Index: /LMDZ6/branches/cirrus/arch/arch-X64_JEANZAY.env
===================================================================
--- /LMDZ6/branches/cirrus/arch/arch-X64_JEANZAY.env	(revision 5201)
+++ /LMDZ6/branches/cirrus/arch/arch-X64_JEANZAY.env	(revision 5202)
@@ -1,8 +1,13 @@
 module purge
-module load intel-all/19.0.4
+module load intel-compilers/19.0.4
+module load intel-mkl/19.0.4
 module load hdf5/1.10.5-mpi
 module load netcdf/4.7.2-mpi
 module load netcdf-fortran/4.5.2-mpi
 module load netcdf95
+module load subversion/1.9.7
+module load cmake
 
-module load gcc/6.5.0
+export FC=mpiifort
+export CPP="icc -E"
+export CC=icc
